#4 Add workaround for Python 3.8
Closed a month ago by churchyard. Opened a month ago by churchyard.
rpms/ churchyard/libtevent bz1711638  into  master

file modified
+3

@@ -87,6 +87,9 @@ 

  %prep

  %autosetup -n tevent-%{version} -p1

  

+ # https://bugzilla.redhat.com/show_bug.cgi?id=1711638

+ sed -i 's/conf\.check_python_headers()/conf.check_python_headers(features="pyext")/' buildtools/wafsamba/samba_python.py

+ 

  %build

  %{?export_waf_python}

  %configure --disable-rpath \

This should go through upstream first. We need to check that we have a correct fix and it is working correctly.

Patch in CI.

This should go through upstream first. We need to check that we have a correct fix and it is working correctly.

Temporary downstream patch would be OKish

But it will not unblock python3.8 testing due to issue with linking libpython3.8 to helper libraries in libtalloc and libldb

This needs to be solved in python and waf I guess. I contacted the waf maintainer.

Pull-Request has been closed by churchyard

a month ago
Metadata